%define name weechat
%define version 0.1.4
%define release %mkrel 1

%define weegtk 0
%define weeqt 0

%{?_without_gtk: %{expand: %%define weegkt 0}}
%{?_with_gtk: %{expand: %%define weegkt 1}}
%{?_without_qt: %{expand: %%define weeqt 0}}
%{?_with_qt: %{expand: %%define weeqt 1}}

Summary: Wee Enhanced Environment for Chat
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Networking/IRC
Url: http://weechat.flashtux.org/
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires: ncurses-devel
BuildRequires: perl-devel

# Version 0.0.6: seems qt/python and ruby has no effect
#BuildRequires: python-devel
#BuildRequires: ruby-devel

%if %weegtk
BuildRequires: libgtk+2-devel
%endif
%if %weeqt
BuildRequires: qt3-devel
%endif

%description
WeeChat (Wee Enhanced Environment for Chat) is a free IRC client, fast and
light, designed for many operating systems.
 
Main features are: 
  - multi-servers connection
  - many GUI (Graphical User Interface): Curses, Gtk and Qt 
  - small, fast and light
  - customizable and extensible with scripts
  - compliant with RFCs 1459, 2810, 2811, 2812, and 2813
  - multi-platform (Gnu/Linux, *BSD, Windows and other)
  - 100% GPL, free software

Install %name-gtk to have the gtk-gui.

%if %weegtk
%package gtk
Group: Networking/IRC
Summary: Wee Enhanced Environment for Chat (With GTK)
Requires: %name = %version

%description gtk
WeeChat (Wee Enhanced Environment for Chat) is a free IRC client, fast and
light, designed for many operating systems.
 
Main features are: 
  - multi-servers connection 
  - many GUI (Graphical User Interface): Curses, Gtk and Qt 
  - small, fast and light 
  - customizable and extensible with scripts 
  - compliant with RFCs 1459, 2810, 2811, 2812, and 2813 
  - multi-platform (Gnu/Linux, *BSD, Windows and other) 
  - 100% GPL, free software

This package contain %name-gtk

%endif

%if %weeqt
%package qt
Group: Networking/IRC
Summary: Wee Enhanced Environment for Chat (With GTK)
Requires: %name = %version

%description qt
WeeChat (Wee Enhanced Environment for Chat) is a free IRC client, fast and
light, designed for many operating systems.
 
Main features are: 
  - multi-servers connection 
  - many GUI (Graphical User Interface): Curses, Gtk and Qt 
  - small, fast and light 
  - customizable and extensible with scripts 
  - compliant with RFCs 1459, 2810, 2811, 2812, and 2813 
  - multi-platform (Gnu/Linux, *BSD, Windows and other) 
  - 100% GPL, free software

This package contain %name-qt

%endif

%prep
%setup -q

%build
%configure \
%if %weegtk
    --enable-gtk \
%endif
%if %weeqt
    --enable-qt \
%endif
    --enable-perl \
    --enable-python \
    --enable-ruby

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

(
cd %buildroot%_bindir
ln -s %name-curses %name
)

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info


%files -f %name.lang
%defattr(-,root,root)
%_bindir/%name
%_bindir/%name-curses
%_mandir/man1/weechat*
%_infodir/*
%doc FAQ.fr FAQ README NEWS ChangeLog AUTHORS BUGS TODO

%if %weegtk
%files gtk
%defattr(-,root,root)
%_bindir/%name-gtk
%doc FAQ.fr FAQ README NEWS ChangeLog AUTHORS BUGS TODO
%endif

%if %weeqt
%files qt
%defattr(-,root,root)
%_bindir/%name-qt
%doc FAQ.fr FAQ README NEWS ChangeLog AUTHORS BUGS TODO
%endif

%changelog
* Sat Jul 30 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-1mdk
- 0.1.4

* Mon Jul 04 2005 Lenny Cartier <lenny@mandriva.com> 0.1.3-1mdk
- 0.1.3

* Fri May 20 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.1.0-2mdk
- Rebuild for new libperl.so

* Sat Feb 12 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.1.0-1mdk
- new version 0.1.0

* Mon Aug 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.7-1mdk
- 0.0.7 (thx to phildar60 for notice me, this time the man was effectived)
- disabling gtk at time (won't compil)

* Sun Aug 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.6-1mdk
- first mdk contrib 

